set echo on;
set sql dialect 3;
set names UTF8;

input recreate_db.ddl;

-- deploy the UDR library
shell cp ../build/x86_64-linux/libMyFirstUDRKit.so /opt/firebird/plugins/udr/ ;


-- create db objects
input testudrkit.ddl;

-- declare the UDR library
input ../sql/MyFirstUDRKit.ddl

-- insert some test data
input testudrkit.dml;

-- run some tests
input testudrkit-tests.dml;

/* Successfully completed execution of testudrkit.sql */
EXIT;








